List users

Get distinct users from conversations with pagination.

Headers

xi-api-keystringOptional

Query parameters

agent_idstringOptional

Agent id (agent_…) or speech engine external id (seng_), resolved to the same underlying resource.

branch_idstringOptional
Filter conversations by branch ID.
call_start_before_unixintegerOptional

Unix timestamp (in seconds) to filter conversations up to this start date.

call_start_after_unixintegerOptional

Unix timestamp (in seconds) to filter conversations after to this start date.

searchstringOptional

Search/filter by user ID (exact match).

page_sizeintegerOptional1-100Defaults to 30
How many users to return at maximum. Defaults to 30.
sort_byenumOptional

The field to sort the results by. Defaults to last_contact_unix_secs.

Allowed values:
cursorstringOptional
Used for fetching next page. Cursor is returned in the response.

Response

Successful Response
userslist of objects
has_moreboolean
next_cursorstring

Errors

422
Users List Request Unprocessable Entity Error